## Initiate export request

### cURL

```
curl --request POST \
  --url https://live.copilot.fabric.inc/api-offers/offers-exports \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '\n{
  "type": "REDEMPTION",
  "filters": [\
    {\
      "field": "storeId",\
      "value": "store001",\
      "operator": "EQUAL"\
    }\
  ]
}\n'
```

```
import requests

url = "https://live.copilot.fabric.inc/api-offers/offers-exports"

payload = {
    "type": "REDEMPTION",
    "filters": [\
        {\
            "field": "storeId",\
            "value": "store001",\
            "operator": "EQUAL"\
        }\
    ]
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```
const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    type: 'REDEMPTION',
    filters: [{field: 'storeId', value: 'store001', operator: 'EQUAL'}]
  })
};

fetch('https://live.copilot.fabric.inc/api-offers/offers-exports', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

### Possible Responses

- **200**  
- **400**  
- **401**  
- **500**

```
{
  "exportId": "ab50fe48-5da0-4e77-92d1-bb629eedf19e",
  "startedAt": "2023-05-17T21:24:52.398Z",
  "status": "IN_PROGRESS",
  "type": "REDEMPTION",
  "endedAt": "null",
  "totalDataExported": 0,
  "errors": [],
  "filters": [\
    {\
      "field": "storeId",\
      "value": "store001",\
      "operator": "EQUAL"\
    }\
  ]
}
```

```
{
  "code": "REQUEST_VALIDATION",
  "message": "Export type not valid."
}
```

```
{
  "code": "UNAUTHORIZED",
  "message": "Invalid credentials"
}
```

```
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error."
}
```

### Authorizations

#### Authorization

- **Type**: string  
- **Location**: header  
- **Required**: Yes  
- Examples:
  - Bearer authentication header of the form `Bearer <token>`, where `<token>` is your auth token.

#### Headers

#### Body

- **Type**: application/json  
  - The sample request to initiate data export.

### Response

- **200**  
  - **Type**: application/json  
  - Created
  - Example:
```json
{
  "exportId": "ab50fe48-5da0-4e77-92d1-bb629eedf19e",
  "startedAt": "2023-05-17T21:24:52.398Z",
  "status": "IN_PROGRESS",
  "type": "REDEMPTION",
  "endedAt": "null",
  "totalDataExported": 0,
  "errors": [],
  "filters": [
    {
      "field": "storeId",
      "value": "store001",
      "operator": "EQUAL"
    }
  ]
}
```
